*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Data\program files\Ex.3.2_logisticNR.do
* PROJECT:  Stata weighting book
* DATE:     07/31/2015
* AUTHOR:   R. Valliant
* PURPOSE:  Form NR adjustment classes based on logistic predictions
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\3 Nonresponse\Ex.3.2_logisticNR.smcl", replace

set more off
use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear

logit resp age i.hisp i.race i.parents_r i.educ_r      

predict predp, pr
summarize predp

    * put sample units into propensity classes
pctile qpreds=predp, nq(5) genp(percent)
list percent qpreds in 1/10
    * list some records before sorting by predp
list in 1/20, clean
list in 2300/2310, clean

sort predp
egen pclass=cut(predp), at(0, 0.6306909, 0.6769733, 0.7137994, 0.7516164, 1.0)
tab pclass

sort pclass
by pclass: summarize predp
    * code below generates 3911 values 
egen pavg = mean(predp), by(pclass)
egen pmed = median(predp), by(pclass)
egen RR = mean(resp), by(pclass)

    * install wtdmean from ssc
ssc inst _gwtmean
egen pavgwtd = wtmean(predp), weight(svywt) by(pclass)
egen RRwtd = wtmean(resp), weight(svywt) by(pclass)

    * tabulate different NR adjustment measures 
table pclass, contents(mean pavg mean pavgwtd mean RR mean RRwtd mean pmed)

save "C:\Projects\Stata Weighting Book\Data\nhis\nhis.logistnr.dta", replace

log close 
exit
