*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Data\program files\Ex.3.3_assess.fit.do
* PROJECT:  Stata weighting book
* DATE:     07/31/2015
* AUTHOR:   R. Valliant
* PURPOSE:  Assess fit of logistic model
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\3 Nonresponse\Ex.3.3_assess.fit.smcl", replace

set more off
use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear

generate random = runiform()
sort random
gen intest = _n <= 783
gen intrain = _n > 783
	* save test data set
preserve
	keep if intest == 1
	save "C:\Projects\Stata Weighting Book\Data\nhis\nhistest.dta", replace
restore

	* extract training data set and fit logistic model
keep if intrain == 1
logit resp age i.hisp i.race i.parents_r i.educ_r
	* predict for test data set
use "C:\Projects\Stata Weighting Book\Data\nhis\nhistest.dta", clear
predict testp, pr

	* "majority vote" assignment to R or NR for test data
gen testR = round(testp)
gen test_accuracy = testR == resp
tab test_accuracy

tab testR resp, column V

log close
