*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.7_BRR.survwgt.do
* Project:  Stata Weighting Book
* Date: 	04/08/2017
* Author:	R. Valliant
* Purpose:	Illustrate BRR variances using NHANES data
* 			Create BRR wts with survwgt
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.7_BRR.survwgt.smcl", replace

use "C:\Projects\Stata Weighting Book\Data\NHANES\2009-2010\nhanes2009.10.dta", clear

generate newVPSU = SDMVPSU
recode newVPSU (3=2)

survwgt create brr, strata(SDMVSTRA) psu(newVPSU) weight(WTMEC2YR) stem(stdBRR)
svrset set meth brr pw WTMEC2YR rw stdBRR1-stdBRR16
svrmean ARDDINEX

survwgt create brr, strata(SDMVSTRA) psu(newVPSU) weight(WTMEC2YR) fay(0.5) stem(fayBRR)
svrset set meth brr pw WTMEC2YR rw fayBRR1-fayBRR16 fay 0.5
svrmean ARDDINEX

log close
