*--------------------------------------------------------------------------------------------------
* File: 	NMIHS.bootstrap.do
* Project:  Stata Weighting Book
* Date: 	04/14/2015
* Author:	R. Valliant
* Purpose:	Illustrate bootstrap variances using NHANES data
*--------------------------------------------------------------------------------------------------

log using "C:\Projects\Stata Weighting Book\Program files\5 Wts for Var Est\Ex.5.9_NMIHS.bootstrap.smcl", replace

	* this file has 1000 replicates
* use http://www.stata-press.com/data/r12/nmihs_bs, clear
* save "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs1000.dta

set more off

use "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs1000.dta", clear
svyset [pweight=finwgt], bsrweight(bsrw1 - bsrw1000) vce(bootstrap) mse
svy, nodots saving("C:\Projects\Stata Weighting Book\Data\NMIHS\breps", replace): mean birthwgt
	* load the repllicate file of mean estimates
use "C:\Projects\Stata Weighting Book\Data\NMIHS\breps", clear
mean _b_birthwgt
histogram _b_birthwgt
* graph export "C:\Projects\Stata Weighting Book\Tex files\Figures\Fig51nmihs-bwt-histogram.eps", as(eps)

	* previous miscarriage
use "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs1000.dta"
svy, nodots saving("C:\Projects\Stata Weighting Book\Data\NMIHS\brepsmiscar", replace): mean miscar
	* load the repllicate file of mean estimates
use "C:\Projects\Stata Weighting Book\Data\NMIHS\brepsmiscar", clear
mean _b_miscar
histogram _b_miscar

	* multiple births
use "C:\Projects\Stata Weighting Book\Data\NMIHS\nmihs_bs1000.dta", clear
svyset [pweight=finwgt], bsrweight(bsrw1 - bsrw1000) vce(bootstrap) mse

svy, saving("C:\Projects\Stata Weighting Book\Data\NMIHS\brepsmult", replace): mean multiple
	* load the repllicate file of mean estimates
use "C:\Projects\Stata Weighting Book\Data\NMIHS\brepsmult", clear
mean _b_multiple
histogram _b_multiple
summarize _b_multiple

 _pctile _b_multiple, percentiles(2.5 97.5)
 display r(r1) r(r2)
 
 log close

