*****************************************************************************************
* FILE:     C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.1_pseudoprobs.do
* PROJECT:  Stata weighting book
* DATE:     01/03/2017
* AUTHOR:   R. Valliant
* PURPOSE:  Compute pseudo inclusion probabilities and weights using a reference sample
*****************************************************************************************

log using "C:\Projects\Stata Weighting Book\Program files\6 Nonprobability samples\Ex.6.1_pseudoprobs.smcl", replace

version 14
set more off

use "C:\Projects\Stata Weighting Book\Data\mibrfss\internet.dta", clear
gen in_internet = 1
save "C:\Projects\Stata Weighting Book\Data\mibrfss\internet1.dta", replace

use "C:\Projects\Stata Weighting Book\Data\mibrfss\refpop.dta", clear
gen in_internet = 0
save "C:\Projects\Stata Weighting Book\Data\mibrfss\internet0.dta", replace

append using "C:\Projects\Stata Weighting Book\Data\mibrfss\internet1.dta"
gen newage = (AGECAT < 5)

label define intlabel 0 "in reference sample" 1 "in Internet sample", replace
label define edlabel 1 "1: Did not grad high school" 2 "High sch grad" 3 "Attended coll or tech sch" 4 "College or tech sch grad", replace
label define agelabel 1 "18-24" 2 "25-34" 3 "35-44" 4 "45-54" 5 "55-64" 6 "65+", replace
label define newagelabel 0 "< 55" 1 ">= 55", replace
label define inclabel 1 "Less than $15K" 2 "$15K to less than $25K" 3 "$25K to less than $35K" 4 "$35K to less than $50K" 5 "$50K or more", replace
label define hlthlabel 1 "Excellent" 2  "Very good" 3  "Good" 4 "Fair" 5 "Poor"

label values in_internet intlabel
label values AGECAT agelabel
label values newage newagelabel
label values EDCAT edlabel
label values INCOMC3 inclabel
label values GENHLTH hlthlabel

logit in_internet i.newage i.EDCAT i.INCOMC3  
predict pseudoprob, pr
summarize pseudoprob

   *save Internet sample with pseudo weights
drop if in_internet==0
gen pseudowt = 1/pseudoprob
summarize pseudowt

svyset [pweight=pseudowt]	
svy: tab GENHLTH, se stubwidth(10)

tabulate GENHLTH
save "C:\Projects\Stata Weighting Book\Data\mibrfss\brf.internet1.wtd.dta", replace

log close
