*--------------------------------------------------------------------------------------------------
* File: 	C:\Projects\Stata Weighting Book\program files\3 Nonresponse\Fig.32.logist.boost.boxplot.do
* Project:  Stata weighting book
* Date:  	08/04/2017
* Author:	R. Valliant
* Purpose:	Boxplot of logistic and boost propensities
*--------------------------------------------------------------------------------------------------

*log using "C:\Projects\Stata Weighting Book\program files\3 Nonresponse\boostNR.class.adjs.smcl", replace
use "C:\Projects\Stata Weighting Book\Data\nhis\boostpreds.v12.dta", clear

pctile qbpreds=boostp, nq(5) genp(bperc)
list bperc qbpreds in 1/5

sort boostp
egen bclass=cut(boostp), at(0, 0.6395891, 0.684959, 0.6978466, 0.7382257, 1.0)
tab bclass
*     bclass |      Freq.     Percent        Cum.
*------------+-----------------------------------
*          0 |        679       17.36       17.36
*   .6395891 |        914       23.37       40.73
*    .684959 |        754       19.28       60.01
*   .6978466 |        786       20.10       80.11
*   .7382257 |        778       19.89      100.00
*------------+-----------------------------------
*      Total |      3,911      100.00

*sort bclass
*by bclass: summarize boostp

	* drop any graphs in memory or on disk
*graph drop _all
*erase boostbox.gph  
*erase logbox.gph
	* boxplot of boost preds; recode bclass labels to be average values of boostp (see below)
recode bclass (0 = 0.599) (0.6395891 = 0.661) (0.684959 = 0.693) (0.6978466 = 0.715) (0.7382257 = 0.751)
* graph box boostp, over(bclass) ylabel(0.4(0.05)0.8) xlabel(0.617 0.666 0.690 0.715 0.746) saving(boostbox)

graph box boostp, over(bclass) ylabel(0.25(0.05)1.0) saving("C:\Projects\Stata Weighting Book\Tex files\Figures\boostbox", replace)

*	graph export "C:\Projects\Stata Weighting Book\Tex files\Figures\Fig32boostbox.pdf", replace

*--------------------------------------------------------------------------------------------------
	* put logistic and boost boxplots side-by-side
*--------------------------------------------------------------------------------------------------
    * first, logistic
    * group logistic preds into 5 classes
use "C:\Projects\Stata Weighting Book\Data\nhis\logistpreds.v12.dta", clear
*saveold "C:\Projects\Stata Weighting Book\Data\nhis\logistpreds.v12.dta", version(12)
gen predp = logistpreds    
sort predp
pctile qlogpreds=predp, nq(5) genp(logperc)
list logperc qlogpreds in 1/5
tab qlogpreds
*percentiles |
*   of predp |      Freq.     Percent        Cum.
*------------+-----------------------------------
*   .6306909 |          1       25.00       25.00
*   .6769733 |          1       25.00       50.00
*   .7137994 |          1       25.00       75.00
*   .7516164 |          1       25.00      100.00
*------------+-----------------------------------
*      Total |          4      100.00

egen pclass=cut(predp), at(0, 0.6306909, 0.6769733, 0.7137994, 0.7516164, 1.0)
tab pclass
*     pclass |      Freq.     Percent        Cum.
*------------+-----------------------------------
*          0 |        790       20.20       20.20
*   .6306909 |        784       20.05       40.25
*   .6769733 |        775       19.82       60.06
*   .7137994 |        780       19.94       80.01
*   .7516164 |        782       19.99      100.00
*------------+-----------------------------------
*      Total |      3,911      100.00


recode pclass (0 = 0.589) (0.6306909 = 0.656) (0.6769733 = 0.697) (0.7137994 = 0.715) (0.7516164 = 0.777)

    * Save logistic boxplot as logbox
graph box predp, over(pclass) ylabel(0.25(0.05)1.0) ytitle("Logistic predictions") saving("C:\Projects\Stata Weighting Book\Tex files\Figures\logbox", replace)


*--------------------------------------------------------------------------------------------------
    * Combine saved boxplots for logisic and boost into one graph 
    * Export to pdf
gr combine "C:\Projects\Stata Weighting Book\Tex files\Figures\logbox.gph" "C:\Projects\Stata Weighting Book\Tex files\Figures\boostbox.gph", ycommon cols(2)
graph export "C:\Projects\Stata Weighting Book\Tex files\Figures\Fig32ogboostbox.pdf", replace

